<?php
// $Id: path.inc,v 1.4 2007/05/17 00:32:55 agentken Exp $

/**
 * These files are included as needed to reduce overhead.
 * See the README for additional information.
 */

/**
 * Basic definition of the content type. API element.
 */
function mysite_type_path($get_options = TRUE) {
  if (module_exists('path')) {
    $type = array(
      'name' => t('Path'),
      'description' => t('<b>Path Aliases</b>: Creates <em>mysite/USERNAME</em> path aliases for all MySite users.'),
      'include' => 'path',
      'category' => t('Usability'),     
      'weight' => 0,
      'form' => FALSE,
      'admin' => TRUE
    );
    if ($get_options) {
      $type['options'] = array();
    }
    return $type;
  }
}

/**
 * Implementation of mysite_type_hook_updated()
 *
 * When the user updates a MySite page, this will creata a path alias
 * using the format 'mysite/USERNAME'.  If you wish to delete these
 * aliases after they have been created, you will need to do so using the
 * Path module.
 *
 * Aliases are created when a user updates their MySite page.
 *
 * @param
 *    $uid == the user id of the owner of the MySite page.
 *
 * @ingropup plugins
 */
function mysite_type_path_updated($uid) {
  $types = variable_get('mysite_content', NULL);
  if (!empty($types['path'])) {
    $alias = variable_get('mysite_path_rules', 0);
    $sql = "SELECT uid, name FROM {users} WHERE uid = %d";
    $result = db_query($sql, $uid);
    $myuser = db_fetch_object($result);
    $path = "mysite/$myuser->name";
    $check = drupal_lookup_path('alias', $path);
    if ($check == FALSE) {
      path_set_alias("mysite/$myuser->uid/view", $path);
    }
  }
} 